Bug 165400 - CAN-2005-2102 gaim AIM invalid filename DoS
Summary: CAN-2005-2102 gaim AIM invalid filename DoS
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gaim
Version: 4.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard: impact=low,public=20050811,reported=2...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-08 20:39 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2005-08-10 03:54:16 UTC


Attachments (Terms of Use)
Proposed patch for this issue (1.09 KB, patch)
2005-08-08 20:46 UTC, Josh Bressers
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:627 qe-ready SHIPPED_LIVE Critical: gaim security update 2005-08-09 04:00:00 UTC

Description Josh Bressers 2005-08-08 20:39:15 UTC
3. Daniel Atallah fixed a crash in oscar dealing with invalid file names.  It
is remotely exploitable by anyone sending you a file with a non-utf8 filename.
 It sometimes causes a crash in pango.  It might be depending on the version
of gtk you're using.  And seems to crash Linux machines less than Windows
machines (if ever).  This has not yet been fixed in CVS, but it IS in the wild
and you can get a client from http://www.sevenz.net/ to exploit it.  A patch
is attached.  I haven't actually tested it, so hopefully it still applies.
The logic is kosher.

Comment 1 Josh Bressers 2005-08-08 20:42:28 UTC
This issue also affects RHEL3

Comment 2 Josh Bressers 2005-08-08 20:46:18 UTC
Created attachment 117559 [details]
Proposed patch for this issue

Comment 4 Josh Bressers 2005-08-10 03:33:32 UTC
Lifting embargo

Comment 5 Red Hat Bugzilla 2005-08-10 03:54:16 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-627.html



Note You need to log in before you can comment on or make changes to this bug.